<?php

declare(strict_types=1);

namespace App\SuperAdmin\Domain\Event;

use App\Shared\Domain\DomainEvent;
use App\SuperAdmin\Domain\Model\SuperAdmin\SuperAdminId;
use DateTimeImmutable;
use Override;
use Ramsey\Uuid\UuidInterface;

final readonly class SuperAdminDesactive implements DomainEvent
{
    public function __construct(
        public SuperAdminId $superAdminId,
        private DateTimeImmutable $occurredOn,
    ) {
    }

    #[Override]
    public function occurredOn(): DateTimeImmutable
    {
        return $this->occurredOn;
    }

    #[Override]
    public function aggregateId(): UuidInterface
    {
        return $this->superAdminId->value;
    }
}
